execute if score match_state game_state matches 0 if score start_delay time matches 2.. run fill 20 123 2008 16 126 2008 acacia_fence
execute if score match_state game_state matches 0 if score start_delay time matches 2.. run fill -20 123 1992 -16 126 1992 acacia_fence
execute if score match_state game_state matches 0 if score start_delay time matches ..1 run fill 20 123 2008 16 126 2008 air
execute if score match_state game_state matches 0 if score start_delay time matches ..1 run fill -20 123 1992 -16 126 1992 air

tag @a[x=-100,y=90,z=1900,dx=200,dy=27,dz=200,scores={respawn_camp_timer=0..}] add out_of_spawn

particle minecraft:falling_honey 0 122 2000 5 0 5 0 1

execute as @e[type=armor_stand,tag=delivery_bee,tag=!claimed] at @s unless block ~ ~-0.5 ~ air unless block ~ ~-0.5 ~ light run tp @s ~ ~0.035 ~
execute as @e[type=armor_stand,tag=delivery_bee,tag=!claimed] at @s unless block ~ ~ ~ air unless block ~ ~ ~ light run tp @s ~ ~0.02 ~

execute as @e[type=armor_stand,tag=delivery_bee,tag=!claimed,tag=!ready] at @s if block ~ ~ ~ air run tag @s add ready
execute as @e[type=armor_stand,tag=delivery_bee,tag=!claimed,tag=!ready] at @s if block ~ ~ ~ light run tag @s add ready

execute as @e[type=armor_stand,tag=delivery_bee,tag=!claimed,tag=ready] at @s run particle minecraft:composter ~ ~0.9 ~ 0.25 0.2 0.25 0 1 force

execute as @e[type=armor_stand,tag=delivery_bee,tag=!claimed,tag=ready] at @s if entity @a[distance=..1] run particle minecraft:happy_villager ~ ~0.9 ~ 0.5 0.5 0.5 0 30
execute as @e[type=armor_stand,tag=delivery_bee,tag=!claimed,tag=ready] at @s if entity @a[distance=..1] run playsound minecraft:entity.bee.hurt neutral @a ~ ~0.9 ~ 2 0.5
execute as @e[type=armor_stand,tag=delivery_bee,tag=!claimed,tag=ready] at @s if entity @a[distance=..1] run effect give @p[gamemode=!spectator] minecraft:levitation 5 3 true
execute as @e[type=armor_stand,tag=delivery_bee,tag=!claimed,tag=ready] at @s if entity @a[distance=..1] run tag @s add claimed

execute as @e[type=armor_stand,tag=delivery_bee,tag=claimed] at @s at @a[nbt={ActiveEffects:[{Id:25,Amplifier:3b}]},sort=nearest,limit=1] positioned ~ ~1.8 ~ rotated ~ 0 run tp @s ^ ^ ^0.3 ~ ~
scoreboard players add @e[type=armor_stand,tag=delivery_bee,tag=claimed] sound_timer 1
execute as @e[type=armor_stand,tag=delivery_bee,tag=claimed,scores={sound_timer=..65}] at @s run playsound minecraft:entity.bee.loop neutral @a ~ ~0.9 ~ 0.3 1
execute as @e[type=armor_stand,tag=delivery_bee,tag=claimed,scores={sound_timer=66..80}] at @s run playsound minecraft:entity.bee.loop neutral @a ~ ~0.9 ~ 0.3 0.9 
execute as @e[type=armor_stand,tag=delivery_bee,tag=claimed,scores={sound_timer=81..100}] at @s run playsound minecraft:entity.bee.loop neutral @a ~ ~0.9 ~ 0.3 0.75
execute as @e[type=armor_stand,tag=delivery_bee,tag=claimed,scores={sound_timer=101..}] at @s run playsound minecraft:entity.bee.loop neutral @a ~ ~0.9 ~ 0.3 0.5

execute as @e[type=armor_stand,tag=delivery_bee,tag=claimed] at @s run particle minecraft:smoke ^ ^0.4 ^-0.4 0 0 0 0 1 normal @a[distance=2..]

execute if entity @e[type=armor_stand,tag=delivery_bee,tag=claimed] as @e[type=bee,tag=delivery_bee] at @s unless block ~ ~ ~ air run tag @s add end_delivery
execute as @e[type=bee,tag=delivery_bee,tag=end_delivery] at @s if block ~ ~ ~ light run tag @s remove end_delivery
kill @e[type=bee,tag=delivery_bee,tag=end_delivery]

tag @e[type=bee,tag=delivery_bee] add extra_bee
tag @e[type=bee,tag=delivery_bee,limit=1] remove extra_bee
execute if entity @e[type=bee,tag=delivery_bee,tag=extra_bee] run kill @e[type=bee,tag=delivery_bee]

execute if entity @e[type=armor_stand,tag=delivery_bee,tag=claimed] unless entity @a[nbt={ActiveEffects:[{Id:25,Amplifier:3b}]},sort=nearest,limit=1] run kill @e[type=bee,tag=delivery_bee]

execute unless entity @e[type=bee,tag=delivery_bee] run effect clear @a[nbt={ActiveEffects:[{Id:25,Amplifier:3b}]},sort=nearest,limit=1] minecraft:levitation

execute if entity @e[type=armor_stand,tag=delivery_bee,tag=claimed] unless entity @e[type=bee,tag=delivery_bee] run stopsound @a neutral minecraft:entity.bee.loop
execute unless entity @e[type=bee,tag=delivery_bee] run kill @e[type=minecraft:area_effect_cloud,tag=delivery_bee]
execute unless entity @e[type=bee,tag=delivery_bee] run kill @e[type=armor_stand,tag=delivery_bee]

execute as @e[type=bee,tag=delivery_bee] at @s run data modify entity @s Rotation set from entity @e[type=armor_stand,tag=delivery_bee,sort=nearest,limit=1] Rotation

execute positioned 0 100 2000 if entity @a[distance=..100] unless entity @e[type=armor_stand,tag=delivery_bee] run summon marker ~ ~ ~ {Tags:["delivery_bee_spawn"]}
spreadplayers 0 2000 0 3 under 120 true @e[type=marker,tag=delivery_bee_spawn]
execute as @e[type=marker,tag=delivery_bee_spawn] at @s run summon armor_stand ~ 93 ~ {Invulnerable:1,Invisible:1,NoBasePlate:1,Small:1,NoGravity:1,Marker:1,Tags:["delivery_bee"],Passengers:[{id:area_effect_cloud,PersistenceRequired:1b,Duration:100000,Passengers:[{id:bee,Tags:["delivery_bee"],Health:0.1,PersistenceRequired:1b}]}]}
kill @e[type=marker,tag=delivery_bee_spawn]

execute as @e[type=minecraft:area_effect_cloud,tag=delivery_bee] run data merge entity @s {Age:0}
team join no_collision @e[type=bee,tag=delivery_bee,team=!no_collision]
