execute if score gamemode game_state matches -1 run function bow_game:randomize_gamemode

execute if score map game_state matches 9.. run scoreboard players set map_was_random game_state 1

execute if score map game_state matches 9.. if predicate bow_game:chance_1_8 run scoreboard players set map game_state 7
execute if score map game_state matches 9.. if predicate bow_game:chance_1_7 run scoreboard players set map game_state 6
execute if score map game_state matches 9.. if predicate bow_game:chance_1_6 run scoreboard players set map game_state 5
execute if score map game_state matches 9.. if predicate bow_game:chance_1_5 run scoreboard players set map game_state 4
execute if score map game_state matches 9.. if predicate bow_game:chance_1_4 run scoreboard players set map game_state 3
execute if score map game_state matches 9.. if predicate bow_game:chance_1_3 run scoreboard players set map game_state 2
execute if score map game_state matches 9.. if predicate bow_game:chance_1_2 run scoreboard players set map game_state 1
execute if score map game_state matches 9.. run scoreboard players set map game_state 0

execute if score map_was_random game_state matches 1.. if score last_map game_state = map game_state run scoreboard players add map game_state 1
scoreboard players operation last_map game_state = map game_state

clear @a
tag @a[team=lobby] add not_menu_click
tag @a[tag=spectating] remove spectating
kill @e[type=!player,tag=!lobby_entity]
scoreboard players set in_progress game_state 1
scoreboard players set match_state game_state 0
scoreboard players set start_delay time 260
scoreboard players operation match_time time = match_time game_state
execute if score gamemode game_state matches 5 run scoreboard players operation match_time time /= time_const_cott constants
execute if score gamemode game_state matches 5 run scoreboard players add match_time time 600
effect clear @a[team=!lobby,team=!editor]
effect give @a[team=!lobby,team=!editor] blindness 2 0 true
team modify pvp collisionRule always
team modify red collisionRule always
team modify blue collisionRule always
team modify crystal collisionRule always
team modify trident collisionRule always
team modify red color red
team modify blue color blue
team modify spectator color white
team modify pvp color yellow
scoreboard players set @a[scores={parkour_time=1..},team=!lobby] parkour_time 0
scoreboard players set @a[scores={fly_time=1..},team=!lobby] fly_time 0


execute if score map game_state matches 0 run function bow_game:map_game_setup/battlefield
execute if score map game_state matches 1 run function bow_game:map_game_setup/canyon
execute if score map game_state matches 2 run function bow_game:map_game_setup/mushroom_valley
execute if score map game_state matches 3 run function bow_game:map_game_setup/woodworks
execute if score map game_state matches 4 run function bow_game:map_game_setup/coastline
execute if score map game_state matches 5 run function bow_game:map_game_setup/ice_palace
execute if score map game_state matches 6 run function bow_game:map_game_setup/crypt
execute if score map game_state matches 7 run function bow_game:map_game_setup/canvas
execute if score map game_state matches 8 run function bow_game:map_game_setup/beehive

execute if score gamemode game_state matches 0 run function bow_game:gamemode_setup/team_deathmatch
execute if score gamemode game_state matches 1 run function bow_game:gamemode_setup/capture_the_flag
execute if score gamemode game_state matches 2 run function bow_game:gamemode_setup/resurrection
execute if score gamemode game_state matches 3 run function bow_game:gamemode_setup/deathmatch
execute if score gamemode game_state matches 4 run function bow_game:gamemode_setup/crystal_keepers
execute if score gamemode game_state matches 5 run function bow_game:gamemode_setup/curse_of_the_trident

tp @a[team=spectator] @e[type=marker,tag=spectator_spawn,limit=1]

execute if score gamemode game_state matches 5 run bossbar set minecraft:game color blue
execute unless score gamemode game_state matches 5 run bossbar set minecraft:game color green

function bow_game:assign_spawn_ids

scoreboard players set @a[team=red] respawn_camp_timer 500
scoreboard players set @a[team=blue] respawn_camp_timer 500

execute unless score match_time game_state matches 1.. unless score gamemode game_state matches 5 run bossbar set minecraft:game max 1
execute unless score match_time game_state matches 1.. unless score gamemode game_state matches 5 run bossbar set minecraft:game value 1

execute if score match_time time matches 1.. store result bossbar minecraft:game max run scoreboard players get match_time time
execute if score match_time time matches 1.. store result bossbar minecraft:game value run scoreboard players get match_time time

execute unless score gamemode game_state matches 5 if score match_time game_state matches ..0 run function bow_game:update_timer

title @a[team=!lobby] actionbar {"text":""}

item replace entity @a[team=!lobby,team=!editor,team=!spectator] inventory.13 with dark_oak_door{display:{Name:'{"text":"Leave Game","color":"red","italic":"false"}',Lore:['{"text":"(Left Click)","color":"dark_gray","italic":"false"}']}}
item replace entity @a[team=spectator] inventory.13 with dark_oak_door{display:{Name:'{"text":"Return to Lobby","color":"red","italic":"false"}',Lore:['{"text":"(Left Click)","color":"dark_gray","italic":"false"}']}}
tellraw @a[team=lobby] {"text":"[","color":"green","extra":[{"text":"!","color":"dark_green"},{"text":"] The current round is starting. You may spectate the round via the Main Menu."}]}
execute as @a[team=lobby] at @s run playsound minecraft:entity.player.levelup master @s ~ ~1 ~ 0.2 1.5

scoreboard players reset @a kills_this_round
execute as @a unless entity @s[team=!red,team=!blue,team=!pvp] run scoreboard players set @s kills_this_round 0
execute unless score gamemode game_state matches 5 run scoreboard objectives setdisplay list kills_this_round